Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

nối các đường line giao nhau thành pline


  • Please log in to reply
10 replies to this topic

#1 tranlaogia

tranlaogia

    biết lệnh scale

  • Members
  • PipPipPip
  • 142 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 13 August 2009 - 02:26 PM

http://www.cadviet.c.../drawing1_2.dwg
e có các đường line cắt nhau nhu tren hinh ve, bây giờ e muốn chuyển các đường line này thành 1 đường pline mà phần thừa các đường line vẫn tự động xoá đi, các bác giúp em tạo lisp này với.
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4250 Bài viết
Điểm đánh giá: 3741 (đỉnh cao)

Đã gửi 13 August 2009 - 05:02 PM

http://www.cadviet.c.../drawing1_2.dwg
e có các đường line cắt nhau nhu tren hinh ve, bây giờ e muốn chuyển các đường line này thành 1 đường pline mà phần thừa các đường line vẫn tự động xoá đi, các bác giúp em tạo lisp này với.

Laogia : sử dụng Code này Tue_NV mới viết thử xem
(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

Bài viết đã được chỉnh sửa nội dung bởi Tue_NV: 13 August 2009 - 05:08 PM

  • 1

#3 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 65 (tàm tạm)

Đã gửi 13 August 2009 - 06:06 PM

Laogia : sử dụng Code này Tue_NV mới viết thử xem

(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

Lisp Tue_NV chạy ôốt ôồi nhưng bị ôột lỗi nhỏ
Khi pick 1 điểm vào miền trong đa tuyến thì các chữ cái nằm trong miền đa tuyến bị hình cữ nhật bao lại nhìn không được đẹp cho lắm, Tue_NV có thể khắc phục lỗi này thì tuyệt vời luôn (nhưng còn ý này nữa: Chọn điểm đầu Polyline F chứ không phải điểm cuối)
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4250 Bài viết
Điểm đánh giá: 3741 (đỉnh cao)

Đã gửi 13 August 2009 - 07:21 PM

Lisp Tue_NV chạy ôốt ôồi nhưng bị ôột lỗi nhỏ
Khi pick 1 điểm vào miền trong đa tuyến thì các chữ cái nằm trong miền đa tuyến bị hình cữ nhật bao lại nhìn không được đẹp cho lắm , Tue_NV có thể khắc phục lỗi này thì tuyệt vời luôn (nhưng còn ý này nữa: Chọn điểm đầu Polyline F chứ không phải điểm cuối)

Không hiểu ý của HoangSon. Có thể nói rõ không?
Code trên chạy tốt đấy chứ
  • 0

#5 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 65 (tàm tạm)

Đã gửi 13 August 2009 - 08:10 PM

Không hiểu ý của HoangSon. Có thể nói rõ không?
Code trên chạy tốt đấy chứ

Mình đồng ý chạy rất tốt, nhưng có lỗ nhỏ xảy ra (khi pick điểm vào miền trong đa tuyến thì các chữ cái B, C, D nằm trong miền đa tuyến bị bao bởi 1 hình cữ nhật nhìn không được đẹp cho lắm, mình minh hoạ tại hình A và B), Tue_NV xem có thể khắc phục lỗi này thì tuyệt vời luôn. Cảm ơn bạn
Mình gửi bạn file lỗi: http://www.cadviet.c...files/2/loi.rar
  • 0

#6 tranlaogia

tranlaogia

    biết lệnh scale

  • Members
  • PipPipPip
  • 142 Bài viết
Điểm đánh giá: 16 (tàm tạm)

Đã gửi 13 August 2009 - 08:48 PM

Laogia : sử dụng Code này Tue_NV mới viết thử xem

(defun c:inte(/ ss p1 p2 e p)
(prompt "\n Chon cac Line :")
(setq ss (ssget '((0 . "LINE"))))
(setq p1 (getpoint "\n Chon diem dau Polyline A : "))
(setq p2 (getpoint "\n Chon diem cuoi Polyline F : "))

(command "line" p1 p2 "")
(setq e (entlast))
(setq p (getpoint "\n Pick 1 diem vao mien trong da tuyen : "))
(command "boundary" "A" "O" "P" "" p "")
(entdel e)
(command "erase" ss "")
(Command "break" "L" p1 p2)
(princ)
)

cám ơn bác Tuệ nhiều. nhờ lisp này của bác mà giúp em được rất nhiều
  • 0

#7 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 759 (tốt)

Đã gửi 14 August 2009 - 08:44 AM

Không hiểu ý của HoangSon. Có thể nói rõ không?
Code trên chạy tốt đấy chứ

Tên các điểm A, B, C... được viết bằng lệnh MT thì các chữ cái B, C, D được bao bởi một khung chữ nhật đấy Tuệ ạ. Mình thử thay các chữ viết bằng MT thành DT thì không có hiện tượng này.
  • 0

#8 viet_x3

viet_x3

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 14 August 2009 - 10:13 AM

anh chị ơi!
em vừa mới học cad mà xem phần này thấy hay hay nhưng chẳng hỉu cái đoạn code của anh Tuệ đọc thế nào ai giải thích chi tiết cho em đc ko?
thank nhìu!!!!
  • 0

#9 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 901 Bài viết
Điểm đánh giá: 501 (tốt)

Đã gửi 14 August 2009 - 01:34 PM

anh chị ơi!
em vừa mới học cad mà xem phần này thấy hay hay nhưng chẳng hỉu cái đoạn code của anh Tuệ đọc thế nào ai giải thích chi tiết cho em đc ko?
thank nhìu!!!!


Nếu mới học cad thì em cứ lo học cho tốt những thao tác vẽ cơ bản của cad đi đã, vẽ tốt rồi thì tiếp tục nghiên cứu cái này thì sẽ hiểu về nó sâu hơn. mới học mà đã muốn dùng mấy thứ này là sau lười luôn đấy, vẽ không lên tay đc đâu. :bigsmile:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#10 thientai0812

thientai0812

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 August 2009 - 02:43 PM

Chào các bạn! Mình mới tham gia diễn đàn! Cho mình hỏi các bạn là với những lisp mới khi ta chưa biết lệnh để dùng thì căn cứ vào đâu để biết đưọc lệnh của líp đó là gì? Các bạn giúp mình nhé! Thanks!
  • 0

#11 duongsatdn

duongsatdn

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 1657 Bài viết
Điểm đánh giá: 759 (tốt)

Đã gửi 14 August 2009 - 03:29 PM

Chào các bạn! Mình mới tham gia diễn đàn! Cho mình hỏi các bạn là với những lisp mới khi ta chưa biết lệnh để dùng thì căn cứ vào đâu để biết đưọc lệnh của líp đó là gì? Các bạn giúp mình nhé! Thanks!

Câu trả lời cho bạn ở đây!
  • 0